{title: DLC-1}
{subtitle: The Discrete Logic Computer}
+chapter("Introduction", false)
  +section("What is DLC?", false)
  +section("Why this project?", false)
  +section("Key features", false)
    -
      let features = [
        "Entirely 4 bit",
        "74 series logic",
        "Von Nuemann architecture",
        "Turing complete",
        "Open-Source",
        "Simple hardware construction"
      ];
    if features.length
      ul
        each feature in features
          li= feature
+chapter("Architecture", false)
  +section("Block Diagram", false)
    p [Coming soon!]
  +section("Instruction Set", false)
  +section("Microcodes", false)
+chapter("Construction", false)
  +section("Parts", false)
    +subsection("Clock Generator & Reset Circuitry (CLK)", false)
    +subsection("Program Counter (PC)", false)
    +subsection("Memory Address Register (MAR)", false)
    +subsection("Program Memory (ROM)", false)
    +subsection("Instruction Register (INS)", false)
    +subsection("Micro Code Counter (MCC)", false)
    +subsection("Countrol Unit (CU)", false)
    +subsection("Arithmetic Logic Unit (ALU)", false)
    +subsection("Accumulator (ACC)", false)
    +subsection("Backup Register (BAC)", false)
    +subsection("Temporary Register (TMP)", false)
    +subsection("Output Register (OUT)", false)
  +section("Schematic", false)
  +section("Logisim simulation", false)
+chapter("Example Programs", false)
  +section("Counter", false)
    include _counter.pug
  +section("Fibonacci", false)
+chapter("Bill Of Matterials", false)
  include _bom.pug
+chapter("Documents", false)
